# Create RBAC group Create a new RBAC group for a platform. Users can be assigned during creation. Endpoint: POST /api/core/rbac/groups/ Version: 4.84.1-ai-plus Security: PlatformApiKeyAuthentication ## Request fields (application/json): - `unique_id` (string, required) The unique identifier for the group - `platform_key` (string, required) The platform key - `name` (string) Optional name of the group - `description` (string) Optional group description - `users_to_add` (array) List of user IDs to add to this group - `users_to_remove` (array) List of user IDs to remove from this group ## Response 201 fields (application/json): - `id` (integer, required) - `unique_id` (string, required) The unique identifier for the group - `platform` (object, required) Serializer for platforms. - `platform.key` (string, required) The platform key - `platform.name` (string,null) The name of the platform - `name` (string) Optional name of the group - `description` (string) Optional group description - `owner` (object, required) Serializer for users. - `owner.id` (integer, required) edX user ID - `owner.username` (string,null) edX username - `owner.email` (string,null) edX email - `users` (array, required) - `is_internal` (boolean, required) When True, this group is internal to the system and cannot be viewed or modified by tenants via API endpoints. ## Response 400 fields ## Response 403 fields